#!/usr/bin/perl -w
#tag: mgrubb@fifthvision.net Wed Apr 24 15:32:56 CDT 2002 (set-status/insert_action_SetStatus.pm)
#Released under the terms of the GNU General Public License (See =COPYING)

use lib '/opt/rt2/lib';
use lib '/etc/opt/rt2';

use config;

use Carp;

use RT::Handle;
use RT::User;
use RT::CurrentUser;

$RT::Handle = new RT::Handle( $RT::DatabaseType );
$RT::Handle->Connect;

my $CurrentUser = new RT::CurrentUser();

use RT::Interface::CLI qw(CleanEnv LoadConfig DBConnect
							GetCurrentUser GetMessageContent);

CleanEnv();

LoadConfig();

DBConnect();

$CurrentUser->LoadByName('RT_System');

my @ScripActions = (
	{
		Name => 'SetTicket<STATUS>',
		Description => 'Sets ticket status to <STATUS>',
		Argument => '<STATUS>',
		ExecModule => 'SetStatus',
	},
);

print "Creating ScripActions...";

use RT::ScripAction;
for $item (@ScripActions)
{
	my $new_entry = new RT::ScripAction($CurrentUser);
	my $return = $new_entry->Create(%$item);
	print $return . ".";
}

print "done.\n";

$RT::Handle->Disconnect();

1;
